Package org.eclipse.mat.ui.snapshot

## Class ImageHelper

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.ImageHelper

    public class ImageHelper
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `ImageHelper.Decorations`
`static class` `ImageHelper.ImageImageDescriptor`
`static interface` `ImageHelper.Type`

### Constructor Summary

Constructors
`ImageHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ImageDescriptor` `decorate​(int type, ImageDescriptor overlay)`
`static Image` `getImage​(int type)`
`static ImageDescriptor` `getImageDescriptor​(int type)`
`static Image` `getInboundImage​(int type)`
`static ImageDescriptor` `getInboundImageDescriptor​(int type)`
`static Image` `getOutboundImage​(int type)`
`static ImageDescriptor` `getOutboundImageDescriptor​(int type)`
`static int` `getType​(IObject object)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageHelper

    public ImageHelper()

### Method Detail

#### getType

    public static int getType​(IObject object)

#### getImageDescriptor

    public static ImageDescriptor getImageDescriptor​(int type)

#### getImage

    public static Image getImage​(int type)

#### getInboundImageDescriptor

    public static ImageDescriptor getInboundImageDescriptor​(int type)

#### getInboundImage

    public static Image getInboundImage​(int type)

#### getOutboundImageDescriptor

    public static ImageDescriptor getOutboundImageDescriptor​(int type)

#### getOutboundImage

    public static Image getOutboundImage​(int type)

#### decorate

    public static ImageDescriptor decorate​(int type,
                                           ImageDescriptor overlay)